#bivariate.r
postscript("bivariate.ps",height=8,width=8,horizontal=FALSE)
par(bty="n")
plot(16,16,type="n",xlim=c(0,33),ylim=c(0,40),xlab="",ylab="",xaxt="n",yaxt="n")
lines(c(13,13),c(26,36),lwd=2)
lines(c(13,13),c(11,19.5),lwd=2)
lines(c(8,30),c(7.1,25),lwd=2)
lines(c(8,30),c(11,11),lwd=2)
text(13,38,"Y",cex=1.2)
text(20,9,expression(X[1]),cex=1.2)
text(24,18,expression(X[2]),cex=1.2)

x <- c(2,24,30,7,2)
y <- c(16,23,34,27,16)
polygon(x,y)

lines(c(6,6),c(19,28))
points(6,19,pch=16)
points(6,28,pch="o")
lines(c(21,21),c(27,34))
points(21,27,pch=16)
points(21,34,pch="o")
lines(c(27,27),c(32,36))
points(27,32,pch=16)
points(27,36,pch="o")

lines(c(11,11),c(15,18.8))
lines(c(11,11),c(19,25),lty=3)
points(11,25,pch=16)
points(11,15,pch="o")

lines(c(16,16),c(16,20.4))
lines(c(16,16),c(21,28),lty=3)
points(16,28,pch=16)
points(16,16,pch="o")

lines(c(22,22),c(20,22.2))
lines(c(22,22),c(21,25),lty=3)
points(22,25,pch=16)
points(22,20,pch="o")

arrows(30,25,28,23+.3,cex=4,code=1)
arrows(28,11,30,11,cex=4)
arrows(13,30,13,36,cex=4)

text(16,24,expression(paste("y = ",b[0]+b[1]*x[1]+b[2]*x[2])),cex=1.2)

arrows(27.5,29,30,27,length=.1,code=1)
text(31,27,expression(b[2]),cex=1.5)
arrows(8,17.8,6,12,length=.1,code=1)
text(5,12,expression(b[1]),cex=1.5)

