#may.r
#plots may-functions for different values of parameter "a"
postscript("may.functions.ps",height=8,width=6,horizontal=FALSE)
mplot <- function(a){
f <- NULL
f <- 0.01
n <- 15
for(i in 1:(n-1)){ 
f[i+1] <- a*f[i]*(1-f[i])
}
plot(1:n,f,type="l",xlab="time",ylab="F")
temp <- paste("F=",a,"*f*(1-f)",sep="")
title(temp,cex=.8)
}

par(mfrow=c(2,2))
mplot(0.5)
mplot(1.5)
mplot(2.5)
mplot(3.5)
