#plot.rate.r
postscript("rate.ps",height=8,width=8,horizontal=FALSE)
x <- seq(0,90,1)
R <- 0.05
l <- exp(-x*R)
plot(x,l,type="l",lty=2,xlim=c(-3,100),xlab="time = x",ylab="persons alive= y")
title("Geometry of an Estimated Average Rate")
X <- seq(10,30,1)
L <- exp(-X*R)
lines(X,L,type="l",lwd=3)
lines(c(10,10),c(0,l[10]-.03))
lines(c(30,30),c(0,l[30]-.01))
lines(c(-1,30),c(l[30],l[30]-0.01))
lines(c(-1,10),c(l[11],l[11]))
lines(c(10,29),c(l[11],l[30]))
abline(v=0)
abline(h=0.01)
text(18,0.3,expression(A[1]))
text(18,0.13,expression(A[2]))
text(5,l[10],expression(l[x]))
text(5,l[28],expression(l[x+delta]))
text(10,-0.01,expression(x))
text(30,-0.01,expression(x+delta))

text(48,.85,"Triangle")
text(68,.8,expression(A[1] ==  (delta/2) ( l[x] - l[x + delta]) 
  %->% ( delta/2 )*d[x]))
text(50,.65,"Rectangle")
text(50,0.6,expression(A[2] == delta * l[x + delta ]))
text(60,.45,"Triangle + Rectangle")
text(70,.4,expression( area == A[1] + A[2] %->% (delta/2) ( l[x] + l[x + delta])))
arrows(40,.85,18,.35,length=.1)
arrows(40,.65,20,.15,length=.1)

plot(c(1,2,3,4),c(4,3,2,1))
text(3.2,3,expression(e^{ - t*lambda} ))

