#roc.r
postscript("roc.plot.ps",height=8,width=8,horizontal=FALSE)
roc <- function(a,b) {
s <- 2
c <- seq(0,a+3*s,0.1)
f <- dnorm(c,a,s)
plot(c,f,type="l",xlab="Observed test values",yaxt="n",ylab="")
f <- dnorm(c,b,s)
lines(c,f)
fpf <- 1-pnorm(c,b,s)
tpf <- 1-pnorm(c,a,s)
title("Normal distributions")
plot(fpf,tpf,type="l",ylab="True positive fraction",
xlab="False positive fraction")
abline(0,1,lty=2)
title("ROC curve")
}

par(mfrow=c(3,2))
par(pty="s")
roc(10,9)
roc(10,8)
roc(10,5)


