#example ROC curve
ms <- 22.5
mt <- 18
c <- seq(10,30,.1)
tpf <- 1-pnorm(c,ms,3)
fpf <- 1-pnorm(c,mt,3)
postscript("roc.ps",width=8,height=8,horizontal=FALSE)
plot(fpf,tpf,type="l",xlab="false positive fracton",ylab="true positive fracton",cex.lab=1.2)
abline(0,1)
tpf0 <- 1-pnorm(16:24,ms,3)
fpf0 <- 1-pnorm(16:24,mt,3)
points(fpf0,tpf0,pch="O",cex=0.75)
points(fpf0[5],tpf0[5],pch="*")
values <-  c("(0.75, 0.98)","(0.63, 0.97)","(0.50, 0.93)","(0.37, 0.88)","(0.25, 0.80)","(0.16, 0.69)","(0.09, 0.57)","(0.05, 0.43)","(0.02, 0.31)")
text(fpf0+0.07,tpf0-0.04,values,cex = 0.6)
text(0.17,0.88,"example calculation",cex=1)
arrows(0.24,0.81,0.14,0.85,length=0.1,code=1)
points(c(0,1),c(0,1),pch=16,cex=.75)
title("Receiver Operating Characteristic (ROC)")



