#weibull.plot.r
postscript("weibull.plot.ps",height=8,width=8,horizontal=FALSE)
g <- 1.5
s0 <- 1.0
t <- seq(0,40,.1)
S <- exp(-s0*t^g)
plot(t,S,type="l",xlab="Time",ylab="S(t)",cex.lab=1.2)
s1 <- .1
S <- exp(-s1*t^g)
lines(t,S)
s2 <- .04
S <- exp(-s2*t^g)
lines(t,S)
s3 <- .02
S <- exp(-s3*t^g)
lines(t,S)
text(22,0.8,"Weibull survival functions",cex=1.2)
text(32,0.8,expression(paste(gamma,"  =  1.5")),cex=1.2)
text(22,0.23,expression(paste(lambda," ="," 0.01")),cex=0.85)
text(16.5,0.16,expression(paste(lambda," ="," 0.04")),cex=0.85)
text(12,0.09,expression(paste(lambda," ="," 0.10")),cex=0.85)
text(5.5,0.04,expression(paste(lambda," ="," 1.00")),cex=0.85)
title("Four Weibull Survival Fuctions")

